List Activities
/unified/user-directory/activities
Query Parameters
Refer Specifying query parameters in Truto APIs
Date and time when the activity was created.
23 supported
8 supported8 notes
The unique identifier for the actor performing the activity
The unique identifier for the actor performing the activity
The unique identifier for the actor performing the activity. Please use profile.account_id field value here.
The unique identifier for the actor performing the activity
The unique identifier for the actor performing the activity
The unique identifier for the actor performing the activity
The unique identifier for the actor performing the activity
The unique identifier for the actor performing the activity
2 supported2 required2 notes
Unique identifier of the organization to fetch the audit logs for.
The unique identifier for the organization
The action to filter by
createdestroyexportedloginlogin_failedlogoutupdateduser_createduser_deactivateduser_deleteduser_inviteduser_joineduser_updated+ 1 more
19 supported
loginlogin_failedlogoutloginlogoutuser_createduser_deletedloginloginSelect the product for which you want to retrieve the activities..
azure_active_directory
1 supported
Actor who performed the activity.
23 supported
Type of the actor.
anonymoussystemuser
User who performed the activity.
1 property
Unique identifier for the user.
Unique identifier for the entity on which the action was performed.
10 supported
Type of the entity on which the action was performed.
10 supported
1 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Activities
Unique identifier for the activity.
22 supported
Action performed by the user. If no clear mapping is available, then the raw value is returned.
loginlogin_failedlogoutuser_inviteduser_createduser_joineduser_deactivateduser_deleteduser_updatedcreatedestroyexportedupdated+ 1 more
19 supported
Actor who performed the activity.
23 supported
2 properties
Type of the actor.
usersystemanonymous
User who performed the activity.
1 property
Unique identifier for the user.
Context of the activity.
20 supported
3 properties
Authentication method used by the user.
IP address of the user who performed the activity.
User agent of the user who performed the activity.
Date and time when the activity was created.
23 supported
Description for the activity.
11 supported
Unique identifier for the entity on which the action was performed.
10 supported
Type of the entity on which the action was performed.
10 supported
Unique identifier for the group the activity belongs to.
Unique identifier for the organization the activity belongs to.
5 supported
Raw data returned from the remote API call.
curl -X GET 'https://api.truto.one/unified/user-directory/activities?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/user-directory/activities?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/user-directory/activities"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'user-directory',
'activities',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"user-directory",
"activities",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())